DeleteNetworkInterface

1. API Description

This API (DeleteNetworkInterface) is used to delete an elastic vNIC.

circle-info

Note

  • If the vNIC is attached to an instance, you need to detach it first before deleting it.

  • The primary vNIC can only be deleted along with the attached instance.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

ID of the vNIC.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Delete the vNIC.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteNetworkInterface


Request:
{
  "nicId": "XXX"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_NIC_ATTACHED

The vNIC has attached to an instance already.

409

INVALID_NIC_PRIMARY_CANT_DELETE

The primary vNIC cannot be deleted.

400

INVALID_NIC_STATUS

Current vNIC state does not allow this operation.

Last updated